Subject: Re: #1047 Path field delimiters and syntax - status

From: [email-masked] (Kai Henningsen)
Date: 02 Sep 2005 11:26:00 +0200

[email-masked] (Henry Spencer)  wrote on 24.08.05 in <[email-masked]>:

> On 24 Aug 2005, Kai Henningsen wrote:
> > But if you're doing news propagation and the intermediate site is supposed
> > to see the article, it goes through rnews - which, in the case of INN,
> > does NNTP, I believe, though not necessarily over IP, and thus certainly
> > checks. I expect C news did similar stuff.
>
> C News went the opposite route:  where all INN's incoming paths ultimately
> go via NNTP, all of C News's ultimately went via a disk spool area (very
> much in the style of UUCP).  The injection path did rigorous checking and
> fixups (e.g. adding Date) on user-posted articles before dropping them in
> the spool area.  The UUCP and NNTP incoming paths dropped data in the
> spool area without examining it.  The server/relayer code picked up from
> the spool area, and for speed, did only the most basic sanity checks --
> superficial parse of all the headers, check for presence of mandatory
> headers, detailed parse only for headers it actually cared about.

But those "most basic sanity checks" are - from what you say - exactly the  
same as NNTP does.

MfG Kai

---

From: "Charles Lindsey" <[email-masked]>
Date: Mon, 5 Sep 2005 18:51:53 GMT

>But those "most basic sanity checks" are - from what you say - exactly the  

AIUI, most news servers (including INN and CNews) provide two interfaces:

'inews' - please inject this article (does some rather thorough format checks);
'rnews' - please relay this article (does the minimum amount of checks
          that it can get away with).

"minimum amount" probably includes the basic NNTP requirements
(essentially that the header fields can be separated out) and also enough
to disentangle the headers it needs to look at (which is most of the
mandatory ones).

OTOH, if the 'rnews' is also going to store the article locally (it is
then a serving agent as well as a relaying agent), then it probably needs
to do somewhat more (indeed USEPRO says it MUST).

-- 
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133   Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

---

From: "Charles Lindsey" <[email-masked]>
Date: Mon, 5 Sep 2005 18:51:53 GMT